FUNCTION _edf_utils_delete_message, DURATION=duration
IF NOT KEYWORD_SET(duration) THEN duration = 2L*3600L
now = string2js(js2string(/NOW))
text = [ '<p>This page was created at <b> '+js2string(now, FORM='Y-M-D H:M') +' UTC</b>.' $
	 , ' This page and the output files will persist for at least '+n2s(duration/3600L)+'&nbsp;h, ' $
	 , ' they will be deleted after <b> '+js2string(now+duration, FORM='Y-M-D H:M') +' UTC</b>. </p>']
RETURN, text
END

PRO _edf_utils_put_file, file, text, APPEND=append, VERBOSE=verb, TRANSPOSE=trans
OPENW, u, file, /GET_LUN, APPEND=append
FOR i= 0, N_ELEMENTS(text)-1 DO PRINTF, u, text[i], FORM='(A)'
FREE_LUN, u
IF KEYWORD_SET(verb) THEN FOR i= 0, N_ELEMENTS(text)-1 DO MESSAGE, /INFO, text[i]
END

PRO _edf_utils_def_color_sysv2
SET_PLOT, 'Z'
;
;		  0    1    2    3    4    5    6    7    8    9   10   11
;
TVLCT, [  0, 255,   0,   0, 255, 255, 255, 180,   0, 255,   0, 255] $
	 , [  0,   0,   0, 255,   0,   0, 128,   0, 255, 255, 255, 255] $
	 , [  0,   0, 255,   0, 255, 128,   0,   0, 255,   0, 180, 255]

SET_PLOT, 'PS'
;IF LMGR(/RUNTIME) THEN DEVICE, DECOMP=0
colors_ncdf=get_color_struct() & nm = '!F'
DEFSYSV, nm, EXISTS = exist
IF NOT exist THEN BEGIN
	col_sysvar = CREATE_STRUCT(NAME = nm, colors_ncdf $
  		, 'N_COLOR_TAGS', N_ELEMENTS(TAG_NAMES(colors_ncdf)) $
        , 'START_COLOR_TABLE', 0, 'END_COLOR_TABLE', 11)
 	DEFSYSV, nm, col_sysvar, 1
ENDIF
END


PRO edf_utils
END